System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.ControlDesigner

The class overrides the method of the class to ensure that the control is displayed with a meaningful representation at design time. If the property is empty, the method of this class sets the property of the control to the property of the control.

Extends design-time behavior for the Web server control.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  If the property is empty or consists only of white space, then the generated HTML contains the of the check box control; otherwise, the generated HTML contains the contents of the control's property.

  Override this method to change the generated HTML.

  Gets the markup that is used to represent the control at design time.

  The markup that is used to represent the control at design time.

  1.0.5000.0
  2.0.0.0